SQ(1)

NAME
sq key userid add - Add a user ID

SYNOPSIS
sq key userid add [OPTIONS]

DESCRIPTION
Add a user ID.

A user ID can contain a name, like `Juliet`, or an email address, like `<juliet@example.org>`. Historically, a name and an email address were usually combined as a single user ID, like `Juliet <juliet@example.org>`. However, user IDs that include different information such as name and email address are more difficult to reason about, so using distinct user IDs for name and email address is preferred nowadays.

`sq key userid add` respects the reference time set by the top-level `--time` argument. It sets the creation time of the user ID's binding signature to the specified time.

OPTIONS

  Subcommand options

--allow-non-canonical-userids
    Don't reject user IDs that are not in canonical form

    Canonical user IDs are of the form `Name (Comment) <localpart@example.org>`.

--cert=FINGERPRINT|KEYID
    Add the user ID to the key with the specified fingerprint or key ID

--cert-email=EMAIL
    Add the user ID to the key where a user ID includes the specified email address

--cert-file=PATH
    Add the user ID to the key read from PATH

--cert-userid=USERID
    Add the user ID to the key with the specified user ID

--email=ADDRESS
    Add an email address as user ID to the key

--name=NAME
    Add a name as user ID to the key

--output=FILE
    Write to the specified FILE

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

--userid=USERID
    Add a user ID to the key

    This user ID can combine name and email address, can optionally contain a comment, or even be free-form if `--allow-non-canonical-userids` is given. However, user IDs that include different information such as name and email address are more difficult to reason about, so using distinct user IDs for name and email address is preferred nowadays.

    In doubt, prefer `--name` and `--email`.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

# Add a new user ID to Alice's key.

    sq key userid add --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0 --name Alice \
        --email alice@work.example.com

SEE ALSO
sq(1), sq-key(1), sq-key-userid(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.2.0 (sequoia-openpgp 1.22.0)